GET api/NTCosCompany/GetCompanyWorkLocationEmailTemplate?q={q}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
q

string

Required

Body Parameters

None.

Response Information

Resource Description

AsapResponseOfListOfCompanyEmailTemplateDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of CompanyEmailTemplateDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "Id": 1,
      "NotificationTypeId": 2,
      "NotificationTypeName": "sample string 3",
      "NotificationTypeTemplate": "sample string 4",
      "IsCustomTemplate": true,
      "CustomTemplate": "sample string 5",
      "ServiceId": 6,
      "NotificationFrom": 7,
      "ExamId": "sample string 8",
      "CustomFromEmailAddress": "sample string 9",
      "CustomSubject": "sample string 10",
      "IsCustomFrom": true,
      "IsCustomSubject": true,
      "NotificationTypeFrom": "sample string 11",
      "NotificationTypeSubject": "sample string 12",
      "Status": true,
      "IncludeSuperVisor": true,
      "WorkLocationCode": "sample string 13",
      "ValidFlag": true,
      "DateCreated": "2026-06-20T12:54:52.5258119-07:00",
      "DateUpdated": "2026-06-20T12:54:52.5258119-07:00",
      "UserIDCreated": 17,
      "UserIDUpdated": 18,
      "CompanyCode": "sample string 19",
      "IsExcludeDiscount": true
    },
    {
      "Id": 1,
      "NotificationTypeId": 2,
      "NotificationTypeName": "sample string 3",
      "NotificationTypeTemplate": "sample string 4",
      "IsCustomTemplate": true,
      "CustomTemplate": "sample string 5",
      "ServiceId": 6,
      "NotificationFrom": 7,
      "ExamId": "sample string 8",
      "CustomFromEmailAddress": "sample string 9",
      "CustomSubject": "sample string 10",
      "IsCustomFrom": true,
      "IsCustomSubject": true,
      "NotificationTypeFrom": "sample string 11",
      "NotificationTypeSubject": "sample string 12",
      "Status": true,
      "IncludeSuperVisor": true,
      "WorkLocationCode": "sample string 13",
      "ValidFlag": true,
      "DateCreated": "2026-06-20T12:54:52.5258119-07:00",
      "DateUpdated": "2026-06-20T12:54:52.5258119-07:00",
      "UserIDCreated": 17,
      "UserIDUpdated": 18,
      "CompanyCode": "sample string 19",
      "IsExcludeDiscount": true
    }
  ],
  "totalCount": 3
}